Ada Reference Manual (Ada 2022) — Legal Information

# 1.3.5 Exceptional Situations

1/5
check
test made during execution to determine whether a language rule has been violated
2/5
exception
kind of exceptional situation
3/5
exception occurrence
run-time occurrence of an exceptional situation
4/5
handle an exception
perform some actions in response to the arising of an exception
5/5
raise an exception
abandon normal program execution so as to draw attention to the fact that the corresponding situation has arisen
6/5
suppress a check
assert that the check cannot fail, and request that the compiler optimize by disabling the check
7/5
Note: The compiler is not required to honor this request. Suppressing checks that can fail can cause a program to behave in arbitrary ways.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe